TraversalHelper (groovy 3.0.7 API)

Package: org.codehaus.groovy.antlr.treewalker

## [Java] Class TraversalHelper

- org.codehaus.groovy.antlr.treewalker.TraversalHelper

- All Implemented Interfaces and Traits:
    AntlrASTProcessor

      @Deprecated
      public abstract class TraversalHelper
      extends Object
      implements AntlrASTProcessor

  Helper Class for Antlr AST traversal and visitation.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected List<GroovySourceAST>` | `unvisitedNodes` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `TraversalHelper (Visitor visitor)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected abstract void` | `accept(GroovySourceAST currentNode)`
    `` | `protected void` | `acceptChildren(GroovySourceAST t)`
    `` | `protected void` | `acceptSiblings(GroovySourceAST t)`
    `` | `protected void` | `accept_FirstChild_v_RestOfTheChildren(GroovySourceAST t)`
    `` | `protected void` | `accept_FirstChild_v_RestOfTheChildren_v(GroovySourceAST t)`
    `` | `protected void` | `accept_FirstChild_v_RestOfTheChildren_v_LastChild(GroovySourceAST t)`
    `` | `protected void` | `accept_FirstChild_v_SecondChild(GroovySourceAST t)`
    `` | `protected void` | `accept_FirstChild_v_SecondChild_v(GroovySourceAST t)`
    `` | `protected void` | `accept_FirstChild_v_SecondChild_v_ThirdChild_v(GroovySourceAST t)`
    `` | `protected void` | `accept_FirstChild_v_SecondChildsChildren_v(GroovySourceAST t)`
    `` | `protected void` | `accept_FirstSecondAndThirdChild_v_v_ForthChild(GroovySourceAST t)`
    `` | `protected void` | `accept_SecondChild_v_ThirdChild_v(GroovySourceAST t)`
    `` | `protected void` | `accept_v_AllChildren_v(GroovySourceAST t)`
    `` | `protected void` | `accept_v_AllChildren_v_Siblings(GroovySourceAST t)`
    `` | `protected void` | `accept_v_FirstChild_2ndv_SecondChild_v___LastChild_v(GroovySourceAST t)`
    `` | `protected void` | `accept_v_FirstChild_SecondChild_v_ThirdChild_v(GroovySourceAST t)`
    `` | `protected void` | `accept_v_FirstChild_v(GroovySourceAST t)`
    `` | `protected void` | `accept_v_FirstChild_v_RestOfTheChildren(GroovySourceAST t)`
    `` | `protected void` | `accept_v_FirstChild_v_RestOfTheChildren_v(GroovySourceAST t)`
    `` | `protected void` | `accept_v_FirstChild_v_SecondChild_v___LastChild_v(GroovySourceAST t)`
    `` | `protected void` | `accept_v_FirstChildsFirstChild_v_Child2_Child3_v_Child4_v___v_LastChild(GroovySourceAST t)`
    `` | `protected void` | `accept_v_FirstChildsFirstChild_v_RestOfTheChildren(GroovySourceAST t)`
    `` | `protected void` | `accept_v_Siblings_v(GroovySourceAST t)`
    `` | `protected void` | `closingVisit(GroovySourceAST t)`
    `` | `protected void` | `openingVisit(GroovySourceAST t)`
    `` | `protected GroovySourceAST` | `pop()`
    `` | `public AST` | `process(AST t)`
    `` | `protected void` | `push(GroovySourceAST ast)`
    `` | `protected void` | `secondVisit(GroovySourceAST t)`
    `` | `protected void` | `setUp(GroovySourceAST ast)`
    `` | `protected void` | `skip(GroovySourceAST expr)`
    `` | `protected void` | `subsequentVisit(GroovySourceAST t)`
    `` | `protected void` | `tearDown(GroovySourceAST ast)`
    `` | `protected void` | `visitNode(GroovySourceAST ast, int n)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### protected List<GroovySourceAST> unvisitedNodes

  - ### Constructor Detail

    - #### public TraversalHelper(Visitor visitor)

  - ### Method Detail

    - #### protected abstract void accept(GroovySourceAST currentNode)

    - #### protected void acceptChildren(GroovySourceAST t)

    - #### protected void acceptSiblings(GroovySourceAST t)

    - #### protected void accept_FirstChild_v_RestOfTheChildren(GroovySourceAST t)

    - #### protected void accept_FirstChild_v_RestOfTheChildren_v(GroovySourceAST t)

    - #### protected void accept_FirstChild_v_RestOfTheChildren_v_LastChild(GroovySourceAST t)

    - #### protected void accept_FirstChild_v_SecondChild(GroovySourceAST t)

    - #### protected void accept_FirstChild_v_SecondChild_v(GroovySourceAST t)

    - #### protected void accept_FirstChild_v_SecondChild_v_ThirdChild_v(GroovySourceAST t)

    - #### protected void accept_FirstChild_v_SecondChildsChildren_v(GroovySourceAST t)

    - #### protected void accept_FirstSecondAndThirdChild_v_v_ForthChild(GroovySourceAST t)

    - #### protected void accept_SecondChild_v_ThirdChild_v(GroovySourceAST t)

    - #### protected void accept_v_AllChildren_v(GroovySourceAST t)

    - #### protected void accept_v_AllChildren_v_Siblings(GroovySourceAST t)

    - #### protected void accept_v_FirstChild_2ndv_SecondChild_v___LastChild_v(GroovySourceAST t)

    - #### protected void accept_v_FirstChild_SecondChild_v_ThirdChild_v(GroovySourceAST t)

    - #### protected void accept_v_FirstChild_v(GroovySourceAST t)

    - #### protected void accept_v_FirstChild_v_RestOfTheChildren(GroovySourceAST t)

    - #### protected void accept_v_FirstChild_v_RestOfTheChildren_v(GroovySourceAST t)

    - #### protected void accept_v_FirstChild_v_SecondChild_v___LastChild_v(GroovySourceAST t)

    - #### protected void accept_v_FirstChildsFirstChild_v_Child2_Child3_v_Child4_v___v_LastChild(GroovySourceAST t)

    - #### protected void accept_v_FirstChildsFirstChild_v_RestOfTheChildren(GroovySourceAST t)

    - #### protected void accept_v_Siblings_v(GroovySourceAST t)

    - #### protected void closingVisit(GroovySourceAST t)

    - #### protected void openingVisit(GroovySourceAST t)

    - #### protected GroovySourceAST pop()

    - #### public AST process(AST t)

    - #### protected void push(GroovySourceAST ast)

    - #### protected void secondVisit(GroovySourceAST t)

    - #### protected void setUp(GroovySourceAST ast)

    - #### protected void skip(GroovySourceAST expr)

    - #### protected void subsequentVisit(GroovySourceAST t)

    - #### protected void tearDown(GroovySourceAST ast)

    - #### protected void visitNode(GroovySourceAST ast, int n)